curl --request PUT \
--url https://api-dev.paygen.online/card-holders/{cardHolderId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"person": {
"firstName": "<string>",
"lastName": "<string>",
"dateOfBirth": "<string>",
"email": "jsmith@example.com",
"nationality": "<string>",
"gender": "m",
"phoneNumber": "<string>"
},
"address": {
"line1": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"countryCode": "<string>"
},
"identification": {
"document": {
"type": "<string>",
"number": "<string>",
"issueDate": "<string>",
"expiryDate": "<string>",
"issuingCountry": "<string>",
"verificationStatus": "<string>",
"description": "<string>",
"urls": {
"main": "<string>",
"back": "<string>"
},
"meta": {
"fileType": "<string>",
"contentHash": "<string>"
}
},
"proofOfAddress": {
"type": "<string>",
"documentId": "<string>",
"verificationStatus": "<string>",
"description": "<string>",
"url": "<string>",
"meta": {
"fileType": "<string>",
"contentHash": "<string>"
}
}
},
"meta": {
"fundingSource": "<string>",
"monthlyTransactionValue": "<string>"
}
}
'{
"statusCode": 123,
"message": "<string>",
"data": {
"_id": "<string>",
"name": "<string>",
"person": {
"firstName": "<string>",
"lastName": "<string>",
"dateOfBirth": "<string>",
"email": "jsmith@example.com",
"nationality": "<string>",
"gender": "m",
"phoneNumber": "<string>"
},
"address": {
"line1": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"countryCode": "<string>"
},
"identification": {
"document": {
"type": "<string>",
"number": "<string>",
"issueDate": "<string>",
"expiryDate": "<string>",
"issuingCountry": "<string>",
"verificationStatus": "<string>",
"description": "<string>",
"urls": {
"main": "<string>",
"back": "<string>"
},
"meta": {
"fileType": "<string>",
"contentHash": "<string>"
}
},
"proofOfAddress": {
"type": "<string>",
"documentId": "<string>",
"verificationStatus": "<string>",
"description": "<string>",
"url": "<string>",
"meta": {
"fileType": "<string>",
"contentHash": "<string>"
}
}
},
"meta": {
"fundingSource": "<string>",
"monthlyTransactionValue": "<string>"
}
}
}curl --request PUT \
--url https://api-dev.paygen.online/card-holders/{cardHolderId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"person": {
"firstName": "<string>",
"lastName": "<string>",
"dateOfBirth": "<string>",
"email": "jsmith@example.com",
"nationality": "<string>",
"gender": "m",
"phoneNumber": "<string>"
},
"address": {
"line1": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"countryCode": "<string>"
},
"identification": {
"document": {
"type": "<string>",
"number": "<string>",
"issueDate": "<string>",
"expiryDate": "<string>",
"issuingCountry": "<string>",
"verificationStatus": "<string>",
"description": "<string>",
"urls": {
"main": "<string>",
"back": "<string>"
},
"meta": {
"fileType": "<string>",
"contentHash": "<string>"
}
},
"proofOfAddress": {
"type": "<string>",
"documentId": "<string>",
"verificationStatus": "<string>",
"description": "<string>",
"url": "<string>",
"meta": {
"fileType": "<string>",
"contentHash": "<string>"
}
}
},
"meta": {
"fundingSource": "<string>",
"monthlyTransactionValue": "<string>"
}
}
'{
"statusCode": 123,
"message": "<string>",
"data": {
"_id": "<string>",
"name": "<string>",
"person": {
"firstName": "<string>",
"lastName": "<string>",
"dateOfBirth": "<string>",
"email": "jsmith@example.com",
"nationality": "<string>",
"gender": "m",
"phoneNumber": "<string>"
},
"address": {
"line1": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"countryCode": "<string>"
},
"identification": {
"document": {
"type": "<string>",
"number": "<string>",
"issueDate": "<string>",
"expiryDate": "<string>",
"issuingCountry": "<string>",
"verificationStatus": "<string>",
"description": "<string>",
"urls": {
"main": "<string>",
"back": "<string>"
},
"meta": {
"fileType": "<string>",
"contentHash": "<string>"
}
},
"proofOfAddress": {
"type": "<string>",
"documentId": "<string>",
"verificationStatus": "<string>",
"description": "<string>",
"url": "<string>",
"meta": {
"fileType": "<string>",
"contentHash": "<string>"
}
}
},
"meta": {
"fundingSource": "<string>",
"monthlyTransactionValue": "<string>"
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Hide child attributes
Hide child attributes
Hide child attributes
Card holder updated successfully.
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes